> ## Documentation Index
> Fetch the complete documentation index at: https://vida.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List all webhook relay configurations

> Fetch the complete set of webhook relay settings configured on your account.



## OpenAPI

````yaml get /api/v2/webhookRelay
openapi: 3.0.0
info:
  version: 2.0.0
  title: Vida API
  description: Vida API Documentation
servers:
  - url: https://api.vida.dev
    description: Vida Production
    variables:
      baseUrl:
        default: api.vida.dev
        description: Production API Root
security: []
paths:
  /api/v2/webhookRelay:
    get:
      tags:
        - Webhooks
      summary: List all webhook relay configurations
      description: >-
        Fetch the complete set of webhook relay settings configured on your
        account.
      responses:
        '200':
          description: At least one relay configuration found
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Webhook Relay configurations fetched successfully.
                  configs:
                    type: array
                    items:
                      type: object
                      required:
                        - type
                        - url
                      properties:
                        type:
                          type: string
                          example: twilioSMS
                        url:
                          type: string
                          example: https://hooks.myapp.com/inbound/twilio
                        timeout:
                          type: number
                          example: 5000
                        headers:
                          type: array
                          items:
                            type: object
                            example:
                              Authorization: Bearer xyz
                        successStatusCodes:
                          type: array
                          items:
                            type: integer
                          example:
                            - 200
                            - 202
        '401':
          description: Unauthorized – missing or invalid API key/token
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Unauthorized Request
        '403':
          description: Forbidden – feature requires Vida Premium
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: >-
                      Webhook Relay is a premium feature. Please upgrade your
                      account to use it.
        '404':
          description: The user has no webhook relay configurations
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: No webhook relay configurations found.
        '500':
          description: Server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Internal error
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: query
      name: token
      description: Vida API Token

````